### Method

# EDataServer SoupSession prepare_message_send_sync

since: 3.46

#### Declaration [src]

    gpointer
    e_soup_session_prepare_message_send_sync (
      ESoupSession* session,
      SoupMessage* message,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Prepares the `message` to be a sent asynchronously with e_soup_session_send_message(). The returned pointer is passed to the `e_soup_session_send_message()` as the prepare_data parameter.

Available since: 3.46

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage` to prepare for asynchronous send.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gpointer`

Prepare data for e_soup_session_send_message(), or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.